Copyright: distributable
Source: rh-glossary-en-%{version}.tbz
Release: 1
Name: rh-glossary-en
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 2
Summary: Red Hat Glossary
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description
The Red Hat Glossary provides definitions for common computer terms as
well as some Linux-specific terms. While reading any of the Red Hat
manuals, refer to this glossary when necessary.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Glossary
Comment=Reference the Red Hat Glossary
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Mon Oct 18 2004 John Ha <jha@redhat.com> - 2-1
- build for final

* Mon Sep 29 2003 Tammy Fox <tfox@falcon.rdu.redhat.com> 1.1-2
- build for RHEL 3 Docs CD

* Mon Jul 28 2003 Tammy Fox <tfox@redhat.com> 1.1-1
- build for beta

* Thu Feb 20 2003 Tammy Fox <tfox@redhat.com> 1.0-1
- initial build
